<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>SI-BKD Pengguna</title>
</head>
<body>

<div layout:fragment="main" class="container">

  <div class="row justify-content-center">
    <div class="col-md-10">
      <div th:if="${success != null}" class="alert alert-success" role="alert">
        <span th:text="${success}"></span>
      </div>

      <form method="get">
      <div class="row mb-4">
        <div class="col-md-8">
          <h3 class="text-black">Daftar Pengguna SI-BKD</h3>
        </div>
        <div class="col-md-4 justify-content-end" align="right">
          <a class="btn btn-outline-success pull-right" th:href="@{/kopertais/pengguna/baru}">+ Tambah pengguna</a>
        </div>
      </div>
      <div class="row mb-4">
        <div class="col-md-2">
          <select class="form-select" id="roleSearch" name="roleSearch" aria-label="Default select example">
            <option th:value="${null}">All</option>
            <option th:each="data : ${listRole}"
                    th:selected="(${data} == *{roleSelected})"
                    th:text="${data.description}"
                    th:value="${data.id}">sdasd</option>
          </select>
        </div>
        <div class="col-md-9">
          <input type="text" class="form-control" name="search" th:value="${ada}" placeholder="Cari pengguna berdasarkan nama, email" aria-label="First name">
        </div>
        <div class="col-md-1 d-grid gap-2">
          <button type="submit" class="btn btn-success">Cari</button>
        </div>
      </div>
      </form>
      <div class="row mb-5">
        <div class="col-md-12 table-responsive">
          <table class="table table-striped table-responsive mb-3">
            <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
            <tr>
              <th class="p-3">No</th>
              <th class="p-3">Nama Lengkap</th>
              <th class="p-3">Email</th>
              <th class="p-3">Role</th>
              <th class="p-3"></th>
              <th class="p-3"></th>
<!--              <th class="p-3"></th>-->
            </tr>
            </thead>
            <tbody>
            <tr th:each="dataUser,row : ${listUser}">
              <td class="align-middle" th:text="${(row.index + 1) + (listUser.number * listUser.size)}">1</td>
              <td class="align-middle" th:text="${dataUser.getNamaLengkap()}">Adi Mulya Suprayogi</td>
              <td class="align-middle" th:text="${dataUser.getUsername()}">suprayogi20@gmail.com</td>
              <td class="align-middle" th:text="${dataUser.getRole().getDescription()}">Super Admin</td>
              <td class="align-middle">
                <span th:if="${#bools.isFalse(dataUser.active)}" class="btn btn-outline-danger">NONAKTIF</span>
                <span th:if="${#bools.isTrue(dataUser.active)}" class="btn btn-outline-success">AKTIF</span>
              </td>
              <!--                                <td class="align-middle" width="5px">-->
              <!--                                    <a class="btn btn-success">Detail</a>-->
              <!--                                </td>-->
              <td class="align-middle" width="5px">
                <a class="btn btn-warning" th:href="@{/kopertais/pengguna/edit(user=${dataUser.getId()})}">Edit</a>
              </td>
<!--              <td class="align-middle">-->
<!--                <form action="">-->
<!--                  <button type="submit" class="btn btn-outline-primary">Ubah Status</button>-->
<!--                </form>-->
<!--              </td>-->
            </tr>

            </tbody>
          </table>

          <nav>
            <ul class="pagination" sd:pagination="full">
              <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
              <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
              <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
            </ul>
          </nav>
        </div>
      </div>

    </div>
  </div>

</div>
</body>
</html>